{% extends 'base.html' %}

{% block content %}
        <div class="jumbotron">
  <h2>Sign up</h2>
  <form method="post">
    {% csrf_token %}
      {% for field in form %}
                <div class=" row mb-2 ">
                <div  class="col-lg-6 col-md-12">
                    <label class="col-12 col-form-label" for="id_{{ field.name }}">{{ field.label }}</label>
                </div>

              <div class="col-lg-6 col-md-12">
                <input
                  type="{{ field.field.widget.input_type }}"
                  class="form-control"
                  name="{{ field.name }}"
                  id="id_{{ field.name }}"
                  value="{{ field.value|default_if_none:""  }}"
                >
                  <div class="col-lg-6 col-md-12 alert-danger">{{ field.errors }}</div>
              </div>
            </div>
        {% endfor %}
    <button type="submit">Sign up</button>
  </form>
        </div>
{% endblock %}